package cz.moneta.test.dsl.auto.smartauto.shared;

import lombok.Getter;

@Getter
public class ContactData {
    private String name;
    private String surname;
    private String birthplace;
    private String titleBefore;
    private String titleAfter;
    private String phoneNumber;
    private String otherPhoneNumber;
    private String email;
    private Address address;
    private Address contactAddress;

    public ContactData setName(String name) {
        this.name = name;
        return this;
    }

    public ContactData setSurname(String surname) {
        this.surname = surname;
        return this;
    }

    public ContactData setTitleBefore(String titleBefore) {
        this.titleBefore = titleBefore;
        return this;
    }

    public ContactData setTitleAfter(String titleAfter) {
        this.titleAfter = titleAfter;
        return this;
    }

    public ContactData setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public ContactData setOtherPhoneNumber(String otherPhoneNumber) {
        this.otherPhoneNumber = otherPhoneNumber;
        return this;
    }

    public ContactData setEmail(String email) {
        this.email = email;
        return this;
    }

    public ContactData setAddress(Address address) {
        this.address = address;
        return this;
    }

    public ContactData setBirthplace(String birthplace) {
        this.birthplace = birthplace;
        return this;
    }

    public ContactData setContactAddress(Address contactAddress) {
        this.contactAddress = contactAddress;
        return this;
    }
}
